cover031720

Red Hat 等主要的 Linux 发行版厂商修复两处 Samba 漏洞

  • 浏览次数 6260
  • 喜欢 0
  • 评分 12345

据外媒 11 月 23 日报道,网络安全公司的研究人员于今年 9 月发现 Samba SMB1 协议存在一处 UAF 漏洞(CVE-2017-14746),允许黑客通过 SMB1 请求重新分配堆指针后不仅可以控制堆上的信息,还可通过漏洞攻击 SMB 服务器,受影响范围包括 Samba 4.0.0 以前所有版本。

Red Hat、Ubuntu、Debian 等主要的 Linux 发行版厂商近期推出了 4.7.34.6.114.5.15 版本的修复补丁。另外,研究人员还提供了一个解决方案,建议用户可以通过设置参数禁止访问 SMB1 服务器:

  • ○ server min protocol = SMB2
  • ○ to the [global] section of your smb.conf and restart smbd.

但是,需要注意的是这可能会影响之前的用户无法连接到服务器。

samba-1

对于 Samba 还存在的另一漏洞(CVE-2017-15275),目前官方也已经释出修复补丁,曾允许攻击者通过精心构造的恶意请求发送至受影响版本( 3.6.0 以后的所有版本)的服务器,从而获取系统内存中未被清除的哈希密码或其他敏感数据

这一漏洞导致受害系统的服务器在分配堆内存时可能会在未清除下将其先前所包含的敏感数据返回至客户端,从而使攻击者获取重要信息后通过其他方法破坏系统服务器。

HackerNews.cc 在此强烈建议使用 Samba 的用户/企业及时修复补丁或更新系统至最新版本。

更多内容:

消息来源:securityaffairs.co ,译者:青楚
本文由 HackerNews.cc 翻译整理,封面来源于网络。
转载请注明“转自 HackerNews.cc ” 并附上原文链接。

hackernews_foot